﻿@model AHCBL.Dto.Admin.MemberListDto
@{
    ViewBag.Title = "Order_widthdraw_point";
    Layout = "~/Views/Shared/_Layout_Product.cshtml";
}
<div class="width1100" style="margin-top:15px; text-align:center;" data-aos="fade-up" data-aos-duration="2000">

    <p class="pTit">골드 출금</p>
    <div class="tabWrap">
        <ul>
            <li class="tab02 on"><a href="@Url.Action("order_buy_point","Order")" )"><span>충전</span></a></li>
            <li class="tab02 on"><a href="@Url.Action("order_withdraw_point","Order")"><span>출금</span></a></li>
            <li class="tab02 on"><a href="@Url.Action("order_list_point","Order")"><span>내역</span></a></li>
        </ul>
    </div>
    <div class="pTable">
        <form name="" class="form-horizontal" method="post">

            <p class="th">현재 보유 골드</p>
            <p class="td">
                <input type="text" class="in100c" value="@ViewBag.amount" readonly>
            </p>
            <div class="widthL">
                <p class="th">출금 신청 골드</p>
                <p class="td">
                    <input type="text" class="in100 motion" name="wallet_amt" id="wallet_amt" placeholder="출금 신청 금액을 입력해 주세요" numberOnly>
                </p>
            </div>
            <div class="widthR">
                <p class="th">결제수단</p>
                <p class="td">
                    <select name="coin_type" id="coin_type" style="max-width:100%;width: 100%;height: 45px;background: #fff;color: #000;border: 1px solid #009688; border-radius: 5px;appearance: auto;">
                        <option value="ACCOUNT" selected>계좌이체</option>
                        <option value="ETH">이더리움</option>
                    </select>
                </p>
            </div>

            <div class="clearfix"></div>

            <div id="coin_address" style="display:none;">
                <p class="th">지갑주소</p>
                <p class="td">
                    <input type="text" class="in100c" name="wallet_addr" value="xxx" readonly>
                </p>

                <div class="widthL">
                    <p class="th">코인시세</p>
                    <p class="td">
                        <input type="text" class="in100c" name="coin_rate" value="0" readonly>
                    </p>
                </div>
                <div class="widthR">
                    <p class="th">코인수량</p>
                    <p class="td">
                        <input type="text" class="in100c" name="coin_qty" value="0" readonly>
                    </p>
                </div>

                <div class="clearfix"></div>
            </div>

            <div id="coin_account">
                <p class="th">계좌정보</p>
                <p class="td">
                    <input type="text" class="in100c" name="bank_addr" value="@Html.DisplayFor(model => model.acc_no) @Html.DisplayFor(model => model.acc_name)" readonly>
                </p>
            </div>

            <div class="widthL">
                <p class="th">수수료</p>
                <p class="td">
                    <input type="text" class="in100c" name="fee" id="fee" value="0" readonly>
                </p>
            </div>
            <div class="widthR">
                <p class="th">합계</p>
                <p class="td">
                    <input type="text" class="in100c" name="total_amt" id="total_amt" value="0" readonly>
                </p>
            </div>

            <div class="clearfix"></div>


            <p class="th">로그인 비밀번호</p>
            <p class="td">
                <input type="password" class="in100" name="passwd" id="passwd" placeholder="로그인 비밀번호를 입력해 주세요">
            </p>

            <div class="alert">
                <strong>※ 출금 안내 ※</strong><br>
                골드 출금 시 수수료는 5% 입니다.
                <br>
                출금 신청 최소단위는 1000포인트 이상(100단위) 1만개 까지 출금가능합니다.
            </div>

            <div class="btnWrap">
                <button class="btnCa" type="button" onclick="doAction();" style="width:100px; height:40px;">확인</button>
                <a href="@Url.Action("Index","Main")" class="btnCa" style="width:100px; height:40px;">취소</a>
                <input type="hidden" id="user_amt" value="@ViewBag.point" />
            </div>
        </form>
    </div>
</div>

<script>
    $(document).ready(function () {

        //		$('#myTable').DataTable();
        $("#wallet_amt").focus();

        $("#wallet_amt").change(function () {
            setAmt();
        });

        $("#coin_type").change(function () {
            if (setCoin())
                setAmt();
        });

        $(".btn-gradient-info").click(function () { doAction(); });
        //$(".btn-block").click(function(){	alert('시스템 준비중입니다.')	});

        //		$("input:[readonly='readonly']").css("background-color", "#d7d7d7");
    });

    function doAmtValidate() {
        if ($.trim($("#wallet_amt").val()) == "") {
            alert("출금 신청 금액을 입력해 주세요.");
            $("#wallet_amt").focus();
            return false;
        }

        if (parseInt($("#wallet_amt").val()) < 1000) {
            alert("최소 1000 이상 출금신청이 가능합니다.");
            $("#wallet_amt").val("");
            $("#wallet_amt").focus();
            return false;
        }

        //				if(parseInt($("#wallet_amt").val()) > 1000){
        //					alert("일일 최대 출금한도 1,000 입니다.");
        //					$("#wallet_amt").val("");
        //					$("#wallet_amt").focus();
        //					return false;
        //				}


        //		var total_amt = parseInt($("#wallet_amt").val()) + (parseInt($("#wallet_amt").val()) * 0.05);
        var total_amt = parseInt($("#wallet_amt").val()) + (parseInt($("#wallet_amt").val()) * 0.05);
        if (total_amt > parseInt($("#user_amt").val())) {
            alert("보유포인트가 부족합니다.\n포인트를 확인해 주세요. (수수료 포함 " + addCommas(total_amt) + " 포인트 필요)");
            $("#wallet_amt").val("");
            $("#wallet_amt").focus();
            return false;
        }

        return true;
    }

    function doActionValidate() {
        if ($.trim($("#passwd").val()) == "") {
            alert("로그인 비밀번호를 입력해 주세요.");
            $("#passwd").focus();
            return false;
        }

        //		if($.trim($("#passwd_check").val()) == ""){
        //			alert("비밀번호 확인을 입력해 주세요.");
        //			$("#passwd_check").focus();
        //			return false;
        //		}
        //
        //		if($.trim($("#passwd").val()) != $.trim($("#passwd_check").val())){
        //			alert("비밀번호가 일치하지 않습니다.\n비밀번호를 확인해 주세요.");
        //			$("#passwd_check").focus();
        //			return false;
        //		}

        return true;
    }

    function setAmt() {
        if (doAmtValidate()) {
            var wallet_amt = parseInt($("#wallet_amt").val()) - parseInt($("#wallet_amt").val()) % 100;	// 출금 신청액
            //			var wallet_amt	= parseInt($("#wallet_amt").val());	// 출금 신청액
            var rate = $("#eth_rate").val();
            //			var rate		= 0;
            //			var fee			= 0;
            //			var coin_qty	= 0;
            //
            //			if ($("#coin_type").val() == "ACCOUNT")
            //				fee		= wallet_amt * 0.083;																// 수수료
            //			else{
            coin_qty = (wallet_amt * 100) / rate;																// 코인 수량
            fee = wallet_amt * 0.05;																// 수수료
            //			}

            var total_amt = wallet_amt + fee;

            $("#wallet_amt").val(wallet_amt);
            $("#fee").val(addCommas(fee));
            $("#total_amt").val(addCommas(total_amt));
            $("#coin_qty").val(coin_qty);
        }

    }

    function setCoin() {

        var wallet_addr = "";
        var rate = "";

        if ($("#coin_type").val() == "ACCOUNT") {
            if ($("#user_bank_name").val() == "") {
                alert("계좌정보가 등록되있지 않습니다.\n계좌정보 등록 후 이용가능한 서비스입니다.");
                location.href = "/wallet/view/member/member_edit.asp";
                return false;
            }
            rate = 0;
            $("#bank_name").val($("#user_bank_name").val());
            $("#bank_account").val($("#user_bank_account").val());
            $("#depositor").val($("#user_depositor").val());

            $("#coin_address").hide();
            $("#coin_account").show();
        }
        else {

            if ($("#eth_address").val() == "") {
                alert("이더리움 지갑주소가 등록되있지 않습니다.\n이더리움 지갑주소 등록 후 이용가능한 서비스입니다.");
                location.href = "/wallet/view/member/member.asp";
                return false;
            }
            wallet_addr = $("#eth_address").val();
            rate = "￦ " + addCommas($("#eth_rate").val());


            $("#wallet_addr").val(wallet_addr);
            $("#coin_account").hide();
            $("#coin_address").show();
        }
        $("#coin_rate").val(rate);
        return true;
    }

    function doAction() {
        if (doAmtValidate() && doActionValidate()) {
            if (confirm("출금신청을 진행하시겠습니까?")) {
                var amt = $("#wallet_amt").val();
                var point = $("#total_amt").val();
                var pass = $("#passwd").val();
                $.ajax({
                    type: "POST",
                    url: "/Order/WithdrawPoint",
                    data: "{'amt':" + amt + ",'point':" + point.replace(",", "") + ",'pass':'" + pass + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (msg) {
                        if (msg.err == '0') {
                            alert(msg.errmsg);
                            location.reload();
                        } else {
                            alert(msg.errmsg);
                        }
                    }
                });
                //$("#cmd").val("/view/order/wallet_process_2203.json");

                ////				$("#wallet_form").attr("action", "../../frame/wallet/walletController.asp").submit();

                //$.mvcAjax({
                //    url: "../../frame/order/orderController.asp",
                //    data: $("#wallet_form").serialize(),
                //    success: function (data) {
                //        var result = data.RESULT;
                //        if (result.CODE == 1) {
                //            alert("출금신청이 정상적으로 처리 되었습니다.");
                //            location.reload();
                //        } else
                //            alert(result.MESSAGE);
                //    }
                //});
            }
        }
    }
</script>